Package org.apache.sling.cms.core.publication

## Class ContentDistributionPublicationManager

- java.lang.Object
- - org.apache.sling.cms.core.publication.StandalonePublicationManager
  - - org.apache.sling.cms.core.publication.ContentDistributionPublicationManager

All Implemented Interfaces:
  `PublicationManager`

    public class ContentDistributionPublicationManager
    extends StandalonePublicationManager

Implementation of the PublicationManager interface using Sling Content Distribution.

### Constructor Summary

Constructors
`ContentDistributionPublicationManager​(org.apache.sling.distribution.Distributor distributor, String[] agents, org.osgi.service.event.EventAdmin eventAdmin)`

### Method Summary

All Methods Instance Methods Concrete Methods
`PUBLICATION_MODE` `getPublicationMode()`
`void` `publish​(PublishableResource resource)`
`void` `unpublish​(PublishableResource resource)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContentDistributionPublicationManager

    public ContentDistributionPublicationManager​(org.apache.sling.distribution.Distributor distributor,
                                                 String[] agents,
                                                 org.osgi.service.event.EventAdmin eventAdmin)

### Method Detail

#### publish

    public void publish​(PublishableResource resource)
                 throws PublicationException

Specified by:
  `publish` in interface `PublicationManager`
Overrides:
  `publish` in class `StandalonePublicationManager`
Throws:
  `PublicationException`

#### unpublish

    public void unpublish​(PublishableResource resource)
                   throws PublicationException

Specified by:
  `unpublish` in interface `PublicationManager`
Overrides:
  `unpublish` in class `StandalonePublicationManager`
Throws:
  `PublicationException`

#### getPublicationMode

    public PUBLICATION_MODE getPublicationMode()

Specified by:
  `getPublicationMode` in interface `PublicationManager`
Overrides:
  `getPublicationMode` in class `StandalonePublicationManager`